Package org.eclipse.mat.inspections

# Class FindLeaksQuery.SuspectRecord

java.lang.Object
org.eclipse.mat.inspections.FindLeaksQuery.SuspectRecord

All Implemented Interfaces:
  `Comparable<FindLeaksQuery.SuspectRecord>`

Direct Known Subclasses:
  `FindLeaksQuery.SuspectRecordGroupOfObjects`

Enclosing class:
  `FindLeaksQuery`

public static class FindLeaksQuery.SuspectRecord extends Object implements Comparable<FindLeaksQuery.SuspectRecord>

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(FindLeaksQuery.SuspectRecord o)`
`boolean`
`equals(Object obj)`
`FindLeaksQuery.AccumulationPoint`
`getAccumulationPoint()`
`IObject`
`getSuspect()`
`long`
`getSuspectRetained()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getSuspect

public IObject getSuspect()

### getSuspectRetained

public long getSuspectRetained()

### getAccumulationPoint

public FindLeaksQuery.AccumulationPoint getAccumulationPoint()

### compareTo

public int compareTo(FindLeaksQuery.SuspectRecord o)

Specified by:
  `compareTo` in interface `Comparable<FindLeaksQuery.SuspectRecord>`